#!/usr/bin/perl -w
##!/usr/bin/perl -Tw
# $Id: test.pl,v 1.5 2002/08/06 15:30:07 radek Exp $
use strict;
use Number::SpellPolish qw(:all);
use Test::More tests => 56;

{ local $SIG{__WARN__} = sub {};
	is( slownie("foo"), undef );
	is( na_zlote("foo"), undef );
	is( na_grosze("foo"), undef );
}

my %num1 = (
    #!perl -MSpellPolish -pwe 'chomp;s/.(\d+)./qq.$& => "..Number::SpellPolish::slownie($1).qq.",\n./e' 
	'0' => "zero",
	'1' => "jeden",
    '13' => 'trzynacie',
    '15' => 'pitnacie',
	'100' => "sto",
	'101' => "sto jeden",
	'1000' => "jeden tysic",
	'1021' => "jeden tysic dwadziecia jeden",
	'5569' => "pi tysicy piset szedziesit dziewi",
	'10012' => "dziesi tysicy dwanacie",
	'222897' => "dwiecie dwadziecia dwa tysice osiemset dziewidziesit siedem",
	'0205098' => "dwiecie pi tysicy dziewidziesit osiem",
	'1000000' => "jeden milion",
	'1000001' => "jeden milion jeden",
	'99724456' => "dziewidziesit dziewi milionw siedemset dwadziecia cztery tysice czterysta pidziesit sze",
	'131313131' => "sto trzydzieci jeden milionw trzysta trzynacie tysicy sto trzydzieci jeden",
	'9000009966' => "dziewi miliardw dziewi tysicy dziewiset szedziesit sze",
	'99852000019' => "dziewidziesit dziewi miliardw osiemset pidziesit dwa miliony dziewitnacie",
	'789400000001' => "siedemset osiemdziesit dziewi miliardw czterysta milionw jeden",
);

# funkcja slownie()
for (sort { $a <=> $b } sort keys %num1) {
    is( slownie($_), $num1{$_} );
}

# funkcja slownie() po wyciciu polskich znakw
for (sort { $a <=> $b } grep { $num1{$_} =~ /[󱶳]/ } keys %num1) {
	(my $str = $num1{$_}) =~ y/󱶳/eoaslzzcn/;
    is( slownie($_, 'no_8_bit'), $str );
}


my %num2 = (
	'0' => 'zero zotych',
	'1' => 'jeden zoty',
	'8' => 'osiem zotych',
	'101' => 'sto jeden zotych',
	'4000' => 'cztery tysice zotych',
	'12000' => 'dwanacie tysicy zotych',
	'12001' => 'dwanacie tysicy jeden zoty',
);

# funkcja na_zlote()
for (sort { $a <=> $b } sort keys %num2) {
    is( na_zlote($_), $num2{$_} );
}

# funkcja na_zlote() po wyciciu polskich znakw
for (sort { $a <=> $b } grep { $num2{$_} =~ /[󱶳]/ } sort keys %num2) {
	(my $str = $num2{$_}) =~ y/󱶳/eoaslzzcn/;
    is( na_zlote($_, 'no_8_bit'), $str );
}


my %num3 = (
	'0' => 'zero groszy',
	'1' => 'jeden grosz',
	'8' => 'osiem groszy',
	'101' => 'sto jeden groszy',
	'4000' => 'cztery tysice groszy',
	'12000' => 'dwanacie tysicy groszy',
	'12001' => 'dwanacie tysicy jeden groszy',
);

# funkcja na_grosze()
for (sort { $a <=> $b } sort keys %num3) {
    is( na_grosze($_), $num3{$_} );
}


# vim: syn=perl ts=4 sw=4 nowrap
